- Main Page
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cFreedom6SDevice Class Reference

cFreedom6SDevice describes an interface to the Freedom6S haptic device from MPB Technologies Inc. More...

`#include <CFreedom6SDevice.h>`

Inheritance diagram for cFreedom6SDevice:

List of all members.

## Public Member Functions
| cFreedom6SDevice ()
| Constructor of cFreedom6SDevice.
virtual | ~cFreedom6SDevice ()
| Destructor of cFreedom6SDevice.
virtual int | open ()
| Open connection to MPB device.
virtual int | close ()
| Close connection to MPB device.
virtual int | initialize (const bool a_resetEncoders=false)
| Initialize MPB device.
virtual int | command (int a_command, void *a_data)
| Set a command to the MPB device.
## Static Protected Attributes
static int | m_activeFreedom6SDevices = 0
| Reference count used to control access to the dll.

## Detailed Description

cFreedom6SDevice describes an interface to the Freedom6S haptic device from MPB Technologies Inc.

## Constructor & Destructor Documentation

cFreedom6SDevice::cFreedom6SDevice | ( |  | ) |

Constructor of cFreedom6SDevice.

Constructor of cFreedom6SDevice. Loads interface DLL.

cFreedom6SDevice::~cFreedom6SDevice | ( |  | ) | `[virtual]`

Destructor of cFreedom6SDevice.

Destructor of cFreedom6SDevice.

## Member Function Documentation

int cFreedom6SDevice::open | ( |  | ) | `[virtual]`

Open connection to MPB device.

Open connection to Freedom6S device.

Returns:
  Return 0 is operation succeeds, -1 if an error occurs.

Reimplemented from cGenericDevice.

int cFreedom6SDevice::close | ( |  | ) | `[virtual]`

Close connection to MPB device.

Close connection to Freedom6S device.

Returns:
  Return 0 is operation succeeds, -1 if an error occurs.

Reimplemented from cGenericDevice.

int cFreedom6SDevice::initialize | ( | const bool | a_resetEncoders = `false` | ) | `[virtual]`

Initialize MPB device.

Calibrate Freedom6S device. Initializes the driver, loading appropriate settings according to current Freedom6S configuration.

Parameters:

  | a_resetEncoders | Ignored; exists for forward compatibility.

Returns:
  Return 0 is operation succeeds, -1 if an error occurs.

Reimplemented from cGenericDevice.

int cFreedom6SDevice::command | ( | int | iCommand,
|  | void * | iData |
| ) |  |  | `[virtual]`

Set a command to the MPB device.

Set command for the Freedom6S device

Parameters:

  | iCommand | Selected command.
  | iData | Pointer to the corresponding data structure.

Returns:
  Return status of command.

Reimplemented from cGenericDevice.

The documentation for this class was generated from the following files:

- chai3d/src/devices/CFreedom6SDevice.h
- chai3d/src/devices/CFreedom6SDevice.cpp